Package org.apache.groovy.contracts

# Class PreconditionViolation

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.AssertionError
org.apache.groovy.contracts.AssertionViolation
org.apache.groovy.contracts.PreconditionViolation

All Implemented Interfaces:
  `Serializable`

public class PreconditionViolation extends AssertionViolation

Thrown whenever a precondition violation occurs.

See Also:
  - `AssertionViolation`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreconditionViolation()`
  `PreconditionViolation(boolean b)`
  `PreconditionViolation(char c)`
  `PreconditionViolation(double v)`
  `PreconditionViolation(float v)`
  `PreconditionViolation(int i)`
  `PreconditionViolation(long l)`
  `PreconditionViolation(Object o)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PreconditionViolation

    public PreconditionViolation()

  - ### PreconditionViolation

    public PreconditionViolation(Object o)

  - ### PreconditionViolation

    public PreconditionViolation(boolean b)

  - ### PreconditionViolation

    public PreconditionViolation(char c)

  - ### PreconditionViolation

    public PreconditionViolation(int i)

  - ### PreconditionViolation

    public PreconditionViolation(long l)

  - ### PreconditionViolation

    public PreconditionViolation(float v)

  - ### PreconditionViolation

    public PreconditionViolation(double v)